Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection
[Java] Class SunClassLoader

    java.lang.Object
      java.lang.ClassLoader
          org.codehaus.groovy.reflection.SunClassLoader

All Implemented Interfaces:
  org.objectweb.asm.Opcodes

    public class SunClassLoader
    extends java.lang.ClassLoader

Special class loader, which when running on Sun VM allows to generate accessor classes for any method

Field Summary
`protected java.util.Map` | `knownClasses`
`protected static SunClassLoader` | `sunVM`

Constructor Summary
`protected SunClassLoader()`

Method Summary
`protected void` | `define(byte[] bytes, java.lang.String name)`
`java.lang.Class` | `doesKnow(java.lang.String name)`
`protected java.lang.Class` | `loadClass(java.lang.String name, boolean resolve)`
`protected void` | `loadFromRes(java.lang.String name)`
`protected static java.lang.String` | `resName(java.lang.String s)`

Methods inherited from class java.lang.ClassLoader
java.lang.ClassLoader#loadClass(java.lang.String), java.lang.ClassLoader#getSystemClassLoader(), java.lang.ClassLoader#getResources(java.lang.String), java.lang.ClassLoader#getSystemResources(java.lang.String), java.lang.ClassLoader#getParent(), java.lang.ClassLoader#setDefaultAssertionStatus(boolean), java.lang.ClassLoader#setPackageAssertionStatus(java.lang.String, boolean), java.lang.ClassLoader#setClassAssertionStatus(java.lang.String, boolean), java.lang.ClassLoader#clearAssertionStatus(), java.lang.ClassLoader#getResourceAsStream(java.lang.String), java.lang.ClassLoader#getResource(java.lang.String), java.lang.ClassLoader#getSystemResourceAsStream(java.lang.String), java.lang.ClassLoader#getSystemResource(java.lang.String), java.lang.ClassLoader#wait(long), java.lang.ClassLoader#wait(long, int), java.lang.ClassLoader#wait(), java.lang.ClassLoader#equals(java.lang.Object), java.lang.ClassLoader#toString(), java.lang.ClassLoader#hashCode(), java.lang.ClassLoader#getClass(), java.lang.ClassLoader#notify(), java.lang.ClassLoader#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### knownClasses

    protected final java.util.Map knownClasses

### sunVM

    protected static final SunClassLoader sunVM

Constructor Detail

### SunClassLoader

    protected SunClassLoader()

Method Detail

### define

    protected void define(byte[] bytes, java.lang.String name)

### doesKnow

    public java.lang.Class doesKnow(java.lang.String name)

### loadClass

    protected java.lang.Class loadClass(java.lang.String name, boolean resolve)

### loadFromRes

    protected void loadFromRes(java.lang.String name)

### resName

    protected static java.lang.String resName(java.lang.String s)

Groovy Documentation